import { connect } from "react-redux";
import Image from "../atoms/Image";
import Logout from "../session/Logout";

const Header = ({ isLoggedIn, logout }) => {
  return (
    <div className="header">
      <div>
        <Image src="./logo.svg" />
        <div>Warehouse Management</div>
      </div>
      {isLoggedIn ? <Logout onClick={logout} /> : null}
    </div>
  );
};

const mapStateToProps = (state) => ({
  isLoggedIn: state.session.isAuthenticated,
});

const mapDispatchToProps = (dispatch) => ({});

export default connect(mapStateToProps, mapDispatchToProps)(Header);
